Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.neo4j.examples.socnet
Enum RelTypes

    java.lang.Object
      java.lang.Enum<RelTypes>
          org.neo4j.examples.socnet.RelTypes

All Implemented Interfaces:
  Serializable, Comparable<RelTypes>, org.neo4j.graphdb.RelationshipType

    public enum RelTypes

extends Enum<RelTypes>
implements org.neo4j.graphdb.RelationshipType

Enum Constant Summary
`A_PERSON`
`FRIEND`
`NEXT`
`REF_PERSONS`
`STATUS`

Method Summary
`static RelTypes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RelTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.neo4j.graphdb.RelationshipType
`name`

Enum Constant Detail

### REF_PERSONS

    public static final RelTypes REF_PERSONS

### A_PERSON

    public static final RelTypes A_PERSON

### STATUS

    public static final RelTypes STATUS

### NEXT

    public static final RelTypes NEXT

### FRIEND

    public static final RelTypes FRIEND

Method Detail

### values

    public static RelTypes[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RelTypes c : RelTypes.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RelTypes valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.